Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

SubselectDoctrineQuery.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Persistence\Doctrine;
8
9 use PDO;
10
17 class SubselectDoctrineQuery extends SelectDoctrineQuery
18 {
24 protected $outerQuery = null;
25
34 public function __construct(AbstractDoctrineQuery $outer)
35 {
36 $this->outerQuery = $outer;
37
38 parent::__construct($outer->connection);
39 }
40
82 public function bindParam(&$param, $placeHolder = null, $type = PDO::PARAM_STR)
83 {
84 return $this->outerQuery->bindParam($param, $placeHolder, $type);
85 }
86
128 public function bindValue($value, $placeHolder = null, $type = PDO::PARAM_STR)
129 {
130 return $this->outerQuery->bindValue($value, $placeHolder, $type);
131 }
132
151 public function getQuery()
152 {
153 return '( ' . parent::getQuery() . ' )';
154 }
155
185 public function subSelect()
186 {
187 return new self($this->outerQuery);
188 }
189 }
eZ\Publish\Core\Persistence\Doctrine\AbstractDoctrineQuery
Class AbstractDoctrineQuery.
Definition: AbstractDoctrineQuery.php:21
eZ\Publish\Core\Persistence\Doctrine\SelectDoctrineQuery
Class SelectDoctrineQuery.
Definition: SelectDoctrineQuery.php:19
eZ\Publish\Core\Persistence\Doctrine\SubselectDoctrineQuery
Class SubselectDoctrineQuery.
Definition: SubselectDoctrineQuery.php:18
eZ\Publish\Core\Persistence\Doctrine\SubselectDoctrineQuery\getQuery
getQuery()
Returns the SQL string for the subselect.
Definition: SubselectDoctrineQuery.php:151
eZ\Publish\Core\Persistence\Doctrine\SubselectDoctrineQuery\bindValue
bindValue($value, $placeHolder=null, $type=PDO::PARAM_STR)
Binds the value $value to the specified variable name $placeHolder.
Definition: SubselectDoctrineQuery.php:128
eZ\Publish\Core\Persistence\Doctrine\SubselectDoctrineQuery\subSelect
subSelect()
Returns ezcQuerySubSelect of deeper level.
Definition: SubselectDoctrineQuery.php:185
eZ\Publish\Core\Persistence\Doctrine\SubselectDoctrineQuery\bindParam
bindParam(&$param, $placeHolder=null, $type=PDO::PARAM_STR)
Binds the parameter $param to the specified variable name $placeHolder.
Definition: SubselectDoctrineQuery.php:82
eZ\Publish\Core\Persistence\Doctrine\SubselectDoctrineQuery\$outerQuery
$outerQuery
Definition: SubselectDoctrineQuery.php:24
eZ\Publish\Core\Persistence\Doctrine\SubselectDoctrineQuery\__construct
__construct(AbstractDoctrineQuery $outer)
Constructs a new ezcQuerySubSelect object.
Definition: SubselectDoctrineQuery.php:34
eZ\Publish\Core\Persistence\Doctrine
Definition: AbstractDoctrineQuery.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.